Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 218022 - Patch for Netigso - Read System Properties, Allow org.osgi.framework.system.packages.extra
Patch for Netigso - Read System Properties, Allow org.osgi.framework.system.p...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Netigso
7.2
PC Mac OS X
: P3 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 00:28 UTC by trajar
Modified: 2012-09-21 02:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
patch to Netigso.java (1.80 KB, text/plain)
2012-09-09 00:28 UTC, trajar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description trajar 2012-09-09 00:28:00 UTC
Created attachment 124056 [details]
patch to Netigso.java

With the current Netigso module, it is impossible to expose any system packages to the Felix OSGi runtime.  Usually you pass these parameters via config file or system property (org.osgi.framework.system.packages.extra).  This patch adds the same logic the Felix launcher includes, which reads the system properties prior to constructing a new framework instance.  This patch also lets the application tone down the Felix log level, which was hard-coded to 'debug'.  For me, this bug/enhancement is a showstopper re: being able to use the RCP framework, as a couple of my third party libraries require sun.misc and thus won't load.
Comment 1 Jaroslav Tulach 2012-09-10 06:42:01 UTC
We discussed this issue already at
http://lists.apidesign.org/pipermail/netigso/2012-June/000211.html

The last suggestion was to report a patch, so thanks for that. Have you signed CA?
http://netbeans.org/about/legal/jca.html
Comment 2 trajar 2012-09-10 22:46:52 UTC
I have not signed the CA.  Happy to do so, or someone else can roll the patch in.  I made it off the trunk, but I didn't see major differences between the 72 release.
Comment 3 Jaroslav Tulach 2012-09-18 15:43:54 UTC
Please sign it and reopen. I cannot accept your patch until I see you on list of approved contributors.
Comment 4 trajar 2012-09-19 02:18:32 UTC
Signed and submitted today.  Will reopen once I see it processed and in the list.
(In reply to comment #3)
> Please sign it and reopen. I cannot accept your patch until I see you on list
> of approved contributors.
Comment 5 trajar 2012-09-19 11:57:42 UTC
Accepted this morning.  Good to go.
Comment 7 Quality Engineering 2012-09-21 02:29:30 UTC
Integrated into 'main-golden', will be available in build *201209210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8f3d9be6fae8
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #218022: Patch for Netigso - Read System Properties, Allow org.osgi.framework.system.packages.extra
Use some system properties when initializing Felix container


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo